Bug 108102 - Alignment and wrapping error for a file created by EPP Plus C# library
Summary: Alignment and wrapping error for a file created by EPP Plus C# library
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx, needsDevAdvice
Depends on:
Blocks: XLSX-External-Generators
  Show dependency treegraph
 
Reported: 2017-05-26 08:44 UTC by Wieslaw Swiergala
Modified: 2022-09-05 17:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example XLSX file (38.30 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-05-26 08:44 UTC, Wieslaw Swiergala
Details
second saved file (51.12 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-05-26 16:17 UTC, Jacques Guilleron
Details
LibreOffice screen (416.69 KB, image/jpeg)
2017-05-26 20:29 UTC, Wieslaw Swiergala
Details
MS Office screen (263.31 KB, image/jpeg)
2017-05-26 20:30 UTC, Wieslaw Swiergala
Details
OpenOffice screen (348.39 KB, image/jpeg)
2017-05-26 20:30 UTC, Wieslaw Swiergala
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wieslaw Swiergala 2017-05-26 08:44:16 UTC
Created attachment 133596 [details]
Example XLSX file

I create XLSX file using C# DLL, called EPP Plus (http://epplus.codeplex.com). Some of columns are aligned to left (default). That file opened in the OpenOffice Calc and in the MS Excel saves the formating. The same file opened in LibreOffice Calc has columns aligned to center and those columns don't fit text size.

In attachment you can find an example XLSX file.

I could send you screens from OpenOffice, MS Office and from LibreOffice, but it is impossible in only 1 attachment.


After fixing this error I will be ready to migration to LibreOffice ;-)
Comment 1 Jacques Guilleron 2017-05-26 16:17:20 UTC
Created attachment 133624 [details]
second saved file
Comment 2 Jacques Guilleron 2017-05-26 16:34:35 UTC
Hi Wieslaw,

I tried a second saving with Excel 2010 on windows 7 Home.
This seemed better to me. Cells Heights and lengths were preserved.
Tried with
LO 5.5.0.0.alpha0+ Build ID: 0e6297932252403883a6057feee488e4ee2bc360
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-05-23_00:14:17
Locale: fr-FR (fr_FR); Calc: CL
works fine with LO 5.3.3.2 too.

Jacques
Comment 3 Wieslaw Swiergala 2017-05-26 20:29:18 UTC
Created attachment 133632 [details]
LibreOffice screen
Comment 4 Wieslaw Swiergala 2017-05-26 20:30:04 UTC
Created attachment 133633 [details]
MS Office screen
Comment 5 Wieslaw Swiergala 2017-05-26 20:30:57 UTC
Created attachment 133634 [details]
OpenOffice screen
Comment 6 Wieslaw Swiergala 2017-05-26 20:39:02 UTC
I've attached 3 screens from LibreOffice, OpenOffice and MS Office. You can see the difference. LibreOffice don't align columns to the left and don't fit a column height to the text.  It's really the same file, opened in 3 others applications.
Comment 7 Wieslaw Swiergala 2017-05-26 20:45:25 UTC
And you are right. Second saved file is OK, but saved for first time unfortunately not.
Comment 8 Jacques Guilleron 2017-05-26 22:44:18 UTC
Ok. That's what I saw too.
Which is exactly your OS?
Comment 9 Wieslaw Swiergala 2017-05-27 06:55:26 UTC
I use at home Windows 10 Prof 1703 and at work Windows 7 SP1 Prof and Home. 

Do you think that I should ask for help the developer of EPP Plus library as well?
Can he help with this problem?
Comment 10 QA Administrators 2018-05-28 02:32:00 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2020-05-28 03:42:42 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2022-05-29 03:41:03 UTC
Dear Wieslaw Swiergala,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug